﻿
--[[


		$title:			Natur Enemy Castbar [Softrix Rewrite]
		$version:		r20118 BETA
		$date:			11th November 2008
		
		$credits:		Natur Enemy Castbar [Softrix Rewrite] is a complete rewrite
						based on the addon by Naturfreund.  Credits also go to 
						Shadowed who is the author of the GTB bar library which I
						have modified for this addon.  The original unmodified GTB 
						library for the purpose of these credits is at:
						
						http://www.wowinterface.com/downloads/info10204-GTB-1.0.html
						
						
		
]]--


function NECB_UIFlash(colour)
	-- what colour do we want?
	if(colour == "GREEN") then NECB_FlashTexture:SetTexture("Interface\\AddOns\\NECB\\Graphics\\green_flashgfx.tga");
	elseif (colour == "RED" or colour == nil) then NECB_FlashTexture:SetTexture("Interface\\AddOns\\NECB\\Graphics\\red_flashgfx.tga"); end
	-- show it					
	NECB_UIFlashFrame:SetAllPoints(UIParent);
	NECB_UIFlashFrame:Show();
end


function NECB_UIOnFlash(self)
	self.elapsed = 0
	self:SetAlpha(0)	
end


function NECB_UIOnFlashUpdate(self, elapsed)
	elapsed = self.elapsed + elapsed
	if elapsed < 2.6 then local alpha = elapsed % 1.3
		if alpha < 0.15 then self:SetAlpha(alpha / 0.15)
		elseif alpha < 0.9 then	self:SetAlpha(1 - (alpha - 0.15) / 0.6)
		else self:SetAlpha(0) end
	else self:Hide() end
	self.elapsed = elapsed
end
